package domain

type AlibabaHmMarketingFullrangeDeleteactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   删除活动是否成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   删除活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingFullrangeDeleteactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingFullrangeDeleteactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeDeleteactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingFullrangeDeleteactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeDeleteactivityMarketResult) SetData(v bool) *AlibabaHmMarketingFullrangeDeleteactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeDeleteactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingFullrangeDeleteactivityMarketResult {
	s.Success = &v
	return s
}
